That will be released later as we get closer to releasing SketchUp 2014. We cannot release all the details publicly yet. We do have a great amount of recordings from the event.
that does seem to work
if you want a persistent reference you can add an xattr to the active model file...
def only_iff
model = Sketchup.active_model
modName = Sketchup.active_model.title
modPath = Sketchup.active_model.path
modEntID = Sketchup.active_model.definitions.entityID
case
when modName.to_a.length == 1 then
remove_old = %x(xattr -d test "#{modPath}" 2>&1) if (%x(xattr -p test "#{modPath}" 2>&1)).length > 0
perSistent = %x(xattr -w test "#{modEntID}" "#{modPath}" 2>&1)
puts modEntID # but could be any persistent reference
when modName.to_a.length == 0 then
Sketchup.send_action('saveDocument;')
UI.messagebox "Save model and retry"
end #case
end # def only_iff
then in another session you can check if it's been thru your mill before.
modPath = Sketchup.active_model.path
%x(xattr -p test "#{modPath}" )
just thoughts
john
As for the how to - just go to your options, output, get view aspect, click the L to lock it, then type in 4500 in the width box, with your aspect locked, the height will auto adjust. Also, with the aspect locked, your render will match your SU viewport exactly.